Package com.logicaldoc.core.security.spring

# Class LDAuthenticationFailureHandler

java.lang.Object
com.logicaldoc.core.security.spring.LDAuthenticationFailureHandler

All Implemented Interfaces:
  `org.springframework.security.web.authentication.AuthenticationFailureHandler`

public class LDAuthenticationFailureHandler extends Object implements org.springframework.security.web.authentication.AuthenticationFailureHandler
This handler gets the j_failureurl request parameter and use it's value to redirect the user after a successful login.

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`LDAuthenticationFailureHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAuthenticationFailure(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException exception)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LDAuthenticationFailureHandler

public LDAuthenticationFailureHandler()

## Method Details

### onAuthenticationFailure

public void onAuthenticationFailure(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException exception) throws IOException, jakarta.servlet.ServletException

Specified by:
  `onAuthenticationFailure` in interface `org.springframework.security.web.authentication.AuthenticationFailureHandler`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`